

REM IF this script is run in say a test-gnumed directory on your desktop
REM and firefox has been set to download to the desktop

SET FIREFOX=firefox.exe

REM SET FIREFOX_DOWNLOAD_DIR=..\Desktop


REM THIS MUST BE CHANGED TO MATCH THE FIREFOX DEFAULT DOWNLOAD DIR (USUALLY DESKTOP)

SET FIREFOX_DOWNLOAD_DIR=%HOMEDRIVE%%HOMEPATH%\Desktop

REM SET FIREFOX_DOWNLOAD_DIR=..\Desktop

echo off

REM  this is the package in postgresql-8.0.4.zip that you wish to install
SET PG_PKG=postgresql-8.0.msi
REM  SET PG_PKG=postgresql-8.0-int.msi

SET CLIENT_PKG=freeze-client-uiupdating-new_items

SET SERVER_DUMP=freeze-client-uiupdating-new_items.dumpall

REM SET DO_DOWNLOAD="No"
SET DO_DOWNLOAD="Yes"

echo do download is %DO_DOWNLOAD%

PATH=%PATH%;"C:\Program Files\Mozilla Firefox"

IF %DO_DOWNLOAD%== "Yes"  (
copy .\download.html c:\\download.html
%FIREFOX% "file:///c:/download.html"
pause

) else  echo not downloading




SET SEVEN="c:\Program Files\7-Zip"
set PGPATH="c:\Program Files\PostgreSQL\8.0\bin"
SET PATH=%PATH%;%SEVEN%;%PGPATH%

SET GET_PKG="Yes"
REM SET GET_PKG="No"

if %GET_PKG%== "Yes"   (

mkdir unpacked

echo unpacking       :

echo on :

echo "install python2.3"
"%FIREFOX_DOWNLOAD_DIR%"\Python-2.3.4.exe :
pause
echo "installing wxPython2.6-unicode"
"%FIREFOX_DOWNLOAD_DIR%"\wxPython2.6-win32-unicode-2.6.1.0-py23.exe :
pause

echo "installing unzip utility"
"%FIREFOX_DOWNLOAD_DIR%"\7z423.exe  :
pause

"%FIREFOX_DOWNLOAD_DIR%"\egenix-mx-base-2.0.6.win32-py2.3.exe :
"%FIREFOX_DOWNLOAD_DIR%"\pyPgSQL-2.4.win32-py2.3.exe           

)



SET INSTALL_PG="Yes"
REM SET INSTALL_PG="No"

if %INSTALL_PG%=="Yes" (

7z.exe e  -ounpacked  -w. %FIREFOX_DOWNLOAD_DIR%\postgresql-8.0.4.zip


REM installs postgresql-8.0.4       
echo installing postgresql-8.0.4

unpacked\%PG_PKG%         



) else echo postgresql not unpacking


SET LOAD_GNUMED_BACKEND="Yes"
REM SET LOAD_GNUMED_BACKEND="No"

if %LOAD_GNUMED_BACKEND%=="Yes"  (

  echo Please ensure the local database is running by running pgadmin from the start button :
  pause :
  echo about to load server :
  pause :
  echo loading unpacked\%SERVER_DUMP%
  dir unpacked\%SERVER_DUMP%
  echo Please enter the password for postgres to install the gnumed dump :
  psql.exe  -funpacked\%SERVER_DUMP% -Upostgres template1 

) else echo Not loading backend


SET UNPACK="Yes"
REM SET UNPACK="No"

if %UNPACK%=="Yes" (
echo unpacking  %FIREFOX_DOWNLOAD_DIR%\snapshot-gm.tgz


dir    "%FIREFOX_DOWNLOAD_DIR%\snapshot-gm.tgz"    :

set path_snapshot="%FIREFOX_DOWNLOAD_DIR%\snapshot-gm.tgz"

7z.exe e -ounpacked -w. %FIREFOX_DOWNLOAD_DIR%\snapshot-gm.tgz


echo unpacking unpacked\snapshot-gm.tar 
dir    unpacked\snapshot-gm.tar     :

echo current directory is
dir .
7z.exe e  -ounpacked  unpacked\snapshot-gm.tar 
rem pause


dir   unpacked\%CLIENT_PKG%.tgz
rem pause

7z.exe x  -ounpacked  unpacked\%CLIENT_PKG%.tgz

7z.exe x  -ounpacked -w. unpacked\%CLIENT_PKG%.tar

dir %FIREFOX_DOWNLOAD_DIR\%SERVER_DUMP%.gz
rem pause
7z.exe x   -ounpacked -w. unpacked\%SERVER_DUMP%.gz



echo about to copy the client directory to python :
pause :
xcopy /Y /I /S  unpacked\client c:\Python23\Lib\site-packages\Gnumed

)


echo READY TO RUN CLIENT
pause
c:\Python23\python.exe unpacked\client\wxpython\gnumed.py --debug --conf-file=unpacked\client\gm-0_2.conf
